about summary refs log tree commit diff
path: root/pkgs/applications/video/mythtv
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/applications/video/mythtv')
-rw-r--r--pkgs/applications/video/mythtv/builder.sh11
-rw-r--r--pkgs/applications/video/mythtv/default.nix14
2 files changed, 25 insertions, 0 deletions
diff --git a/pkgs/applications/video/mythtv/builder.sh b/pkgs/applications/video/mythtv/builder.sh
new file mode 100644
index 000000000000..22cc6396c2dd
--- /dev/null
+++ b/pkgs/applications/video/mythtv/builder.sh
@@ -0,0 +1,11 @@
+. $stdenv/setup
+
+export QTDIR=$qt3
+
+buildPhase=myBuilder
+myBuilder() {
+    qmake mythtv.pro || fail
+    make || fail
+}
+
+genericBuild
\ No newline at end of file
diff --git a/pkgs/applications/video/mythtv/default.nix b/pkgs/applications/video/mythtv/default.nix
new file mode 100644
index 000000000000..d9019f421dcf
--- /dev/null
+++ b/pkgs/applications/video/mythtv/default.nix
@@ -0,0 +1,14 @@
+{stdenv, fetchurl, which, qt3, x11, libXinerama, libXv, libXxf86vm, lame}:
+
+stdenv.mkDerivation {
+  name = "mythtv-0.16";
+
+  builder = ./builder.sh;
+  src = fetchurl {
+    url = http://www.mythtv.org/mc/mythtv-0.16.tar.bz2;
+    md5 = "0eba17cf64c96ea3ead23e7e15419cc0";
+  };
+
+  buildInputs = [which qt3 x11 libXinerama libXv libXxf86vm lame];
+  inherit qt3;
+}